#!/usr/bin/make -f

export PYBUILD_NAME=hexbytes

# Add LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 to have reproducible builds
export LC_ALL=C.UTF-8
export LANGUAGE=C.UTF-8

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	# don't run the tests, python3-eth-utils is required and it's not on Debian

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ build/html # HTML generator
